default:
  tags:
    - softaware


stages:
  - publish


python39-slim-ci:
  stage: publish
  variables:
    IMAGE_NAME: "python3.9-slim-ci"
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [ "" ]
  script:
    - mkdir -p /kaniko/.docker
    - echo "{\"auths\":{\"${CI_REGISTRY}\":{\"auth\":\"$(printf "%s:%s" "${CI_REGISTRY_USER}" "${CI_REGISTRY_PASSWORD}" | base64 | tr -d '\n')\"}}}" > /kaniko/.docker/config.json
    - >-
      /kaniko/executor
      --build-arg SECRET_DIR=/kaniko
      --use-new-run
      --snapshotMode=redo
      --context "${CI_PROJECT_DIR}"
      --dockerfile "${CI_PROJECT_DIR}/${IMAGE_NAME}/Dockerfile"
      --destination "${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:${CI_COMMIT_SHORT_SHA}"
      --destination "${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:latest"
  tags:
    - softaware-test
  when: manual


python310-slim-ci:
  stage: publish
  variables:
    IMAGE_NAME: "python3.10-slim-ci"
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [ "" ]
  script:
    - mkdir -p /kaniko/.docker
    - echo "{\"auths\":{\"${CI_REGISTRY}\":{\"auth\":\"$(printf "%s:%s" "${CI_REGISTRY_USER}" "${CI_REGISTRY_PASSWORD}" | base64 | tr -d '\n')\"}}}" > /kaniko/.docker/config.json
    - >-
      /kaniko/executor
      --build-arg SECRET_DIR=/kaniko
      --use-new-run
      --snapshotMode=redo
      --context "${CI_PROJECT_DIR}"
      --dockerfile "${CI_PROJECT_DIR}/${IMAGE_NAME}/Dockerfile"
      --destination "${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:${CI_COMMIT_SHORT_SHA}"
      --destination "${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:latest"
  tags:
    - softaware-test
  when: manual


python39-slim-torch-cuda-ci:
  stage: publish
  variables:
    IMAGE_NAME: "python3.9-slim-torch2.1-cu121-ci"
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [ "" ]
  script:
    - mkdir -p /kaniko/.docker
    - echo "{\"auths\":{\"${CI_REGISTRY}\":{\"auth\":\"$(printf "%s:%s" "${CI_REGISTRY_USER}" "${CI_REGISTRY_PASSWORD}" | base64 | tr -d '\n')\"}}}" > /kaniko/.docker/config.json
    - >-
      /kaniko/executor
      --build-arg SECRET_DIR=/kaniko
      --use-new-run
      --snapshotMode=redo
      --context "${CI_PROJECT_DIR}"
      --dockerfile "${CI_PROJECT_DIR}/${IMAGE_NAME}/Dockerfile"
      --destination "${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:${CI_COMMIT_SHORT_SHA}"
      --destination "${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:latest"
  tags:
    - softaware-test
  when: manual


python310-slim-torch-cuda-ci:
  stage: publish
  variables:
    IMAGE_NAME: "python3.10-slim-torch2.1-cu121-ci"
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [ "" ]
  script:
    - mkdir -p /kaniko/.docker
    - echo "{\"auths\":{\"${CI_REGISTRY}\":{\"auth\":\"$(printf "%s:%s" "${CI_REGISTRY_USER}" "${CI_REGISTRY_PASSWORD}" | base64 | tr -d '\n')\"}}}" > /kaniko/.docker/config.json
    - >-
      /kaniko/executor
      --build-arg SECRET_DIR=/kaniko
      --use-new-run
      --snapshotMode=redo
      --context "${CI_PROJECT_DIR}"
      --dockerfile "${CI_PROJECT_DIR}/${IMAGE_NAME}/Dockerfile"
      --destination "${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:${CI_COMMIT_SHORT_SHA}"
      --destination "${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:latest"
  tags:
    - softaware-test
  when: manual


python39-slim-tensorflow-cuda-ci:
  stage: publish
  variables:
    IMAGE_NAME: "python3.9-slim-tensorflow2.14-cu121-ci"
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [ "" ]
  script:
    - mkdir -p /kaniko/.docker
    - echo "{\"auths\":{\"${CI_REGISTRY}\":{\"auth\":\"$(printf "%s:%s" "${CI_REGISTRY_USER}" "${CI_REGISTRY_PASSWORD}" | base64 | tr -d '\n')\"}}}" > /kaniko/.docker/config.json
    - >-
      /kaniko/executor
      --build-arg SECRET_DIR=/kaniko
      --use-new-run
      --snapshotMode=redo
      --context "${CI_PROJECT_DIR}"
      --dockerfile "${CI_PROJECT_DIR}/${IMAGE_NAME}/Dockerfile"
      --destination "${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:${CI_COMMIT_SHORT_SHA}"
      --destination "${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:latest"
  tags:
    - softaware-test
  when: manual


python310-slim-tensorflow-cuda-ci:
  stage: publish
  variables:
    IMAGE_NAME: "python3.10-slim-tensorflow2.14-cu121-ci"
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [ "" ]
  script:
    - mkdir -p /kaniko/.docker
    - echo "{\"auths\":{\"${CI_REGISTRY}\":{\"auth\":\"$(printf "%s:%s" "${CI_REGISTRY_USER}" "${CI_REGISTRY_PASSWORD}" | base64 | tr -d '\n')\"}}}" > /kaniko/.docker/config.json
    - >-
      /kaniko/executor
      --build-arg SECRET_DIR=/kaniko
      --use-new-run
      --snapshotMode=redo
      --context "${CI_PROJECT_DIR}"
      --dockerfile "${CI_PROJECT_DIR}/${IMAGE_NAME}/Dockerfile"
      --destination "${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:${CI_COMMIT_SHORT_SHA}"
      --destination "${CI_REGISTRY_IMAGE}/${IMAGE_NAME}:latest"
  tags:
    - softaware-test
  when: manual
